﻿using System.Windows;
using System.Windows.Documents;
using System.Windows.Media;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            Paragraph paragraph = new Paragraph();

            paragraph.Typography.NumeralStyle = FontNumeralStyle.OldStyle;
            paragraph.Typography.Fraction     = FontFraction.Stacked;
            paragraph.Typography.Variants     = FontVariants.Inferior;
            paragraph.FontFamily              = new FontFamily("Palatino Linotype");
            paragraph.FontSize                = 18;
            paragraph.TextAlignment           = TextAlignment.Left;

            Run textRun = new Run
            (
                "This text has some altered typography characteristics. Note"     +
                "that use of an open type font is necessary for most typographic" +
                "properties to be effective."
            );

            Run numeralRun  = new Run("0123456789 10 11 12 13");
            Run fractionRun = new Run("1/2 2/3 3/4");

            paragraph.Inlines.Add(textRun);
            paragraph.Inlines.Add(new LineBreak());
            paragraph.Inlines.Add(new LineBreak());
            paragraph.Inlines.Add(numeralRun);
            paragraph.Inlines.Add(new LineBreak());
            paragraph.Inlines.Add(new LineBreak());
            paragraph.Inlines.Add(fractionRun);

            FlowDocument flowDocument = new FlowDocument();

            flowDocument.Blocks.Add(paragraph);

            this.flowDocumentReader.Document = flowDocument;
        }

        #endregion
    }
}